com.hazelcast.security.permission

## Class InstancePermission

- java.lang.Object
- - java.security.Permission
  - - com.hazelcast.security.permission.ClusterPermission
    - - com.hazelcast.security.permission.InstancePermission

- All Implemented Interfaces:
    Serializable, Guard
  Direct Known Subclasses:
    AtomicLongPermission, AtomicReferencePermission, CachePermission, CardinalityEstimatorPermission, CountDownLatchPermission, DurableExecutorServicePermission, ExecutorServicePermission, FlakeIdGeneratorPermission, ListPermission, LockPermission, MapPermission, MapReducePermission, PNCounterPermission, QueuePermission, ReplicatedMapPermission, RingBufferPermission, ScheduledExecutorPermission, SemaphorePermission, TopicPermission, UserCodeDeploymentPermission

      public abstract class InstancePermission
      extends ClusterPermission

  TODO: Object Permission
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `actions`
    `protected static int` | `CREATE`
    `protected static int` | `DESTROY`
    `protected int` | `mask`
    `protected static int` | `NONE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InstancePermission(String name, String... actions)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `String` | `getActions()`
    `int` | `hashCode()`
    `boolean` | `implies(Permission permission)`
    `protected abstract int` | `initMask(String[] actions)` init mask

    - ### Methods inherited from class com.hazelcast.security.permission.ClusterPermission

      `newPermissionCollection`

    - ### Methods inherited from class java.security.Permission

      `checkGuard, getName, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### NONE

          protected static final int NONE

      See Also:
        Constant Field Values

    - #### CREATE

          protected static final int CREATE

      See Also:
        Constant Field Values

    - #### DESTROY

          protected static final int DESTROY

      See Also:
        Constant Field Values

    - #### mask

          protected final int mask

    - #### actions

          protected final String actions

  - ### Constructor Detail

    - #### InstancePermission

          public InstancePermission(String name,
                                    String... actions)

  - ### Method Detail

    - #### initMask

          protected abstract int initMask(String[] actions)

      init mask

    - #### implies

          public boolean implies(Permission permission)

      Specified by:
        `implies` in class `Permission`

    - #### getActions

          public String getActions()

      Specified by:
        `getActions` in class `Permission`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `ClusterPermission`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `ClusterPermission`

Copyright © 2019. All rights reserved.